Subject: Re: [PATCH v3 9/9] pack-bitmap.c: gracefully fallback after opening pack/MIDX

From: Taylor Blau <[email-masked]>
Date: Tue, 25 Jan 2022 16:46:12 -0500

On Mon, Jan 24, 2022 at 11:29:10AM -0800, Jonathan Tan wrote:
> Taylor Blau <[email-masked]> writes:
> > When opening a MIDX/pack-bitmap, we call open_midx_bitmap_1() or
> > open_pack_bitmap_1() respectively in a loop over the set of MIDXs/packs.
> > By design, these functions are supposed to be called over every pack and
> > MIDX, since only one of them should have a valid bitmap.
>
> Thanks for this series. Apart from my minor comments on patches 7 and 8,
> this series looks good.

Thanks, I think we need a reroll anyway to reinstate the call to
finalize_object_file() as well as to have these patches be based on the
tip of master now that we're on the other side of v2.35.0.

I'll send that shortly. In the meantime, thanks for your review!

Thanks,
Taylor